###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### look for X11

find_package( X11 )


##### look for XTest and xcb-util-keysyms

pkg_search_module( X11_XTEST xtst )
pkg_search_module( X11_KEYSIM xcb-keysyms )

if( (NOT X11_XTest_FOUND) OR (NOT X11_KEYSIM_FOUND) )
   set( NO_XTEST_EXTENSION 1 )
endif()


#### xine-engine

pkg_search_module( XINE libxine )

if( NOT XINE_FOUND )
    tde_message_fatal( "Xine-lib is required but was not found on your system" )
endif( NOT XINE_FOUND )
